Skip to main content
POST
/
api
/
v0
/
repositories
/
{repo_id}
/
users
Add a user to a repository.
curl --request POST \
  --url https://api.example.com/api/v0/repositories/{repo_id}/users \
  --header 'Content-Type: application/json' \
  --data '
{
  "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
import requests

url = "https://api.example.com/api/v0/repositories/{repo_id}/users"

payload = {
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
userId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
teamId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};

fetch('https://api.example.com/api/v0/repositories/{repo_id}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}

Path Parameters

repo_id
string<uuid>
required

Body

application/json

Data to add a user to a repository.

userId
string<uuid>
required
repositoryRole
enum<string>
required

Role of the user in the repository.

The admin role is not allowed to be set.

Available options:
client,
reviewer,
judge,
triager,
admin
teamId
string<uuid> | null

Id of the team the reviewer should be a part of.

For non-reviewers, this must be null. For reviewer if this is null they will be added as solo.

Response

User successfully added